aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorShougo Matsushita <Shougo.Matsu@gmail.com>2015-03-26 07:37:45 +0900
committerShougo Matsushita <Shougo.Matsu@gmail.com>2015-04-21 06:20:45 +0900
commit577d9f3f7e41cd2ac4813a35832bb2550c31a481 (patch)
tree67441f5eba314c4597a941510133782fc4446ec8
parent42de617974b6befaf5d25037bf6d92c2b889068b (diff)
downloadrneovim-577d9f3f7e41cd2ac4813a35832bb2550c31a481.tar.gz
rneovim-577d9f3f7e41cd2ac4813a35832bb2550c31a481.tar.bz2
rneovim-577d9f3f7e41cd2ac4813a35832bb2550c31a481.zip
Improve travis ci script
Reviewed-by: Justin M. Keyes <justinkz@gmail.com>, Nikolay Pavlov <zyx.vim@gmail.com>
-rw-r--r--.ci/common.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.ci/common.sh b/.ci/common.sh
index e1967198e8..4894c0d5ad 100644
--- a/.ci/common.sh
+++ b/.ci/common.sh
@@ -1,3 +1,5 @@
+set -eu
+
valgrind_check() {
check_logs "$1" "valgrind-*"
}
@@ -7,6 +9,7 @@ asan_check() {
}
check_logs() {
+ local err=""
check_core_dumps
# Iterate through each log to remove an useless warning
for log in $(find "$1" -type f -name "$2"); do
@@ -48,7 +51,16 @@ check_core_dumps() {
}
setup_deps() {
+ sudo pip install --upgrade pip
sudo pip install neovim
+
+ # For pip3
+ # https://github.com/travis-ci/travis-ci/issues/1528
+ # sudo apt-get install -q python3.3-dev
+ # curl -Ss http://python-distribute.org/distribute_setup.py | sudo python3
+ # curl -Ss https://raw.github.com/pypa/pip/master/contrib/get-pip.py | sudo python3
+ # sudo pip3.3 install neovim
+
if [ "$BUILD_NVIM_DEPS" != "true" ]; then
eval "$(curl -Ss https://raw.githubusercontent.com/neovim/bot-ci/master/scripts/travis-setup.sh) deps-${1}"
elif [ "$TRAVIS_OS_NAME" = "linux" ]; then